package nc.vo.baseapp.image;

import nc.vo.pub.SuperVO;

/**
 * 影像采集中间表信息
 * @author chenjm
 * @date 2021-04-23
 */
public class ImageMidBillVO extends SuperVO{
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键
	 */
	private String pk_image;
	/**
	 * 单据号
	 */
	private String billCode;
	
	/**
	 * 影像id
	 */
	private String imageId;
	
	/**
	 * 影像url
	 */
	private String imageUrl;
	
	/**
	 * 预警信息
	 */
	private String warningInfo;
	
	/**
	 * 扫描人BIP账号
	 */
	private String createUserCode;
	
	/**
	 * 扫描人
	 */
	private String scanUserName;
	
	/**
	 * 扫描时间
	 */
	private String scanCreateTime;
	/**
	 * 时间戳
	 */
	private String ts;
	
	/**
	 * 删除标识
	 */
	private int dr = 0;
	
	/**
	 * 自定义项1
	 */
	private String def1;
	
	/**
	 * 自定义项2
	 */
	private String def2;
	
	/**
	 * 自定义项3
	 */
	private String def3;
	
	/**
	 * 自定义项4
	 */
	private String def4;
	
	/**
	 * 自定义项5
	 */
	private String def5;
	
	/**
	 * 自定义项6
	 */
	private String def6;
	
	/**
	 * 自定义项7
	 */
	private String def7;
	
	/**
	 * 自定义项8
	 */
	private String def8;
	
	/**
	 * 自定义项9
	 */
	private String def9;
	
	/**
	 * 自定义项10
	 */
	private String def10;

	public String getPk_image() {
		return pk_image;
	}

	public void setPk_image(String pk_image) {
		this.pk_image = pk_image;
	}

	public String getBillCode() {
		return billCode;
	}

	public void setBillCode(String billCode) {
		this.billCode = billCode;
	}

	public String getImageId() {
		return imageId;
	}

	public void setImageId(String imageId) {
		this.imageId = imageId;
	}

	public String getImageUrl() {
		return imageUrl;
	}

	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}

	public String getWarningInfo() {
		return warningInfo;
	}

	public void setWarningInfo(String warningInfo) {
		this.warningInfo = warningInfo;
	}

	public String getCreateUserCode() {
		return createUserCode;
	}

	public void setCreateUserCode(String createUserCode) {
		this.createUserCode = createUserCode;
	}

	public String getScanUserName() {
		return scanUserName;
	}

	public void setScanUserName(String scanUserName) {
		this.scanUserName = scanUserName;
	}

	public String getScanCreateTime() {
		return scanCreateTime;
	}

	public void setScanCreateTime(String scanCreateTime) {
		this.scanCreateTime = scanCreateTime;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public int getDr() {
		return dr;
	}

	public void setDr(int dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public String getDef10() {
		return def10;
	}

	public void setDef10(String def10) {
		this.def10 = def10;
	}

	@Override
	public String getPKFieldName() {
		return "pk_image";
	}

	@Override
	public String getTableName() {
		return "image_bill";
	}
	
	
}
